Skip to main content
Infrastructure/Agents

RetryDeployJob

Retry a failed deploy job to reattempt installation on failed nodes

POST/api/v1/agents/deploy/{id}/retry

Operation ID

RetryDeployJob

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • id
    StringRequired

    Unique identifier of the deploy job to retry

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • id
    String

    Unique identifier of the deploy job

    Example: deploy-job-001

  • nodeIps
    List

    Node ips

    Example: item1,item2

  • nodes
    List

    Nodes for this resource

    Example: (nested array)

    • nodeIp
      String

      IP address of the node in the deploy job

      Example: 192.168.1.10

    • status
      String

      Deployment status for this node (pending, deploying, success, failed)

      Example: success

    • error
      String

      Error message if deployment failed on this node

      Example: connection refused

  • status
    String

    Overall status of the deploy job (pending, running, success, failed)

    Example: running

  • simulated
    Boolean

    Whether this job is a simulation without actual deployment

    Example: false

  • createdAt
    String

    Created at

    Example: 2026-01-15T08:00:00Z